Page MenuHomePhabricator

Footer chevron points the wrong way in RTL mode
Closed, ResolvedPublic1 Story Points

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterRotate chevron in opposite direction for RTL

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 29 2016, 6:33 PM

Change 307024 had a related patch set uploaded (by Jdlrobson):
Rotate chevron in opposite direction for RTL

https://gerrit.wikimedia.org/r/307024

Heads up @Nirzar looks like this is already in the works.

subtask, no estimate needed

jhobs triaged this task as Normal priority.Aug 30 2016, 5:16 PM
phuedx assigned this task to Jdlrobson.Aug 31 2016, 8:43 AM
phuedx added a subscriber: phuedx.

@Jdlrobson's submitted 2d75c180 so…

@Jhernandez: You may have to Tech Lead on this…

Definitely one to chat about post standup.

I've created T144411 so we can continue this conversation.

@Jhernandez @bmansurov and myself discussed this post standup. We agreed to keep the status quo of using transforms but to re-evaluate the approach.

This task should be scoped to include the clock icon too. It should flip as well.

This task should be scoped to include the clock icon too. It should flip as well.

No it shouldn't. Only images that communicate a sense of direction should be flipped in RTL languages. We don't flip article illustrations do we?

I see, for some reason I though we did flipped all icons, which makes sense given that they are read from RTL.

Thanks, @Jdlrobson.

For whoever is signing off on the task, please visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Main_Page?mobileaction=beta&uselang=ar and see if the footer chevron is pointing right or left.

Change 307024 merged by jenkins-bot:
Rotate chevron in opposite direction for RTL

https://gerrit.wikimedia.org/r/307024

phuedx reassigned this task from Jdlrobson to ovasileva.Sep 1 2016, 8:51 AM
phuedx added a subscriber: ovasileva.

Over to you @ovasileva/@dr0ptp4kt.

ovasileva closed this task as Resolved.Sep 1 2016, 1:52 PM

looks good

MBinder_WMF set the point value for this task to 1.Sep 12 2016, 4:10 PM